# Named multicast groups were introduced in 2.6.23. If we don't have
# them, we need to enable compat code.

if ! grep -q 'struct genl_multicast_group' $srctree/include/net/genetlink.h
then
    echo "I: enabling generic netlink groups compatibility" 1>&2
    echo "include/config.h:#define NEED_GENL_MC_GROUPS"
    echo ".tmp.config.mk:export NEED_GENL_MC_GROUPS := 1"
fi
